#! /bin/sh -e
# /usr/lib/emacsen-common/packages/install/maxima

# Written by Jim Van Zandt <jrv@vanzandt.mv.com>, borrowing heavily
# from the install scripts for gettext by Santiago Vila
# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>.

FLAVOR=$1
PACKAGE=maxima

# if [ ${FLAVOR} = emacs ]; then exit 0; fi

#echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
case ${FLAVOR} in
    xemacs*)
	# xemacs is not supported by current maxima-emacs
	echo "install/${PACKAGE}: Skipping byte-compilation for ${FLAVOR}"
        exit 0
        ;;
    emacs19|emacs20|emacs21|emacs22|emacs-snapshot*)
        # Do not byte-compile anything for above emacsen flavours
	echo "install/${PACKAGE}: Skipping byte-compilation for ${FLAVOR}"
        exit 0
	;;
    emacs*)
	echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
	;;
    *)
        echo install/${PACKAGE}: Ignoring emacsen flavour [${FLAVOR}]
        exit 0
esac

SITEFLAG=""
if [ ${FLAVOR} = emacs ]; then SITEFLAG="-no-site-file"; fi
FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

# Install-info-altdir does not actually exist. 
# Maybe somebody will write it.
if test -x /usr/sbin/install-info-altdir; then
    echo install/${PACKAGE}: install Info links for ${FLAVOR}
    install-info-altdir --quiet --section "" "" --dirname=${FLAVOR} /usr/info/${PACKAGE}.info.gz
fi

install -m 755 -d ${ELCDIR}
cd ${ELDIR}
FILES=`echo *.el`
#cp ${FILES} ${ELCDIR}
cd ${ELCDIR}
if [ "${ELDIR}" != "${ELCDIR}" ]; then
    ln -sf ${ELDIR}/*.el ${ELDIR}/*.lisp .
fi

cat << EOF > path.el
(setq load-path (cons "." load-path) byte-compile-warnings nil image-map (when (boundp 'image-map) image-map))
EOF
rm -f *.elc
${FLAVOR} ${FLAGS} ${FILES}
rm -f path.el

exit 0
